Subject: Re: bug#26401: [PATCH] python-tryton (with no modules)

From: Catonano <[email-masked]>
Date: Thu, 18 May 2017 20:03:04 +0200

2017-05-18 19:49 GMT+02:00 Arun Isaac <[email-masked]>:

>
> > I know that the Guix poliicy is to let upstream do its homework.
> >
> > But in this case I would keep the patched Genshi
> >
> > In fact, if you read the most recent thread in the Genshi google group:
> >
> > https://groups.google.com/forum/#!forum/genshi
> >
> >  you can deduce that:
> >
> >    1. the patches have been used by mainstream distros for almost 2 years
> >    now, if I understand correctly
> >    2. the development of Genshi is stalled. The last contribution (adding
> >    travis) was 2 years ago
>
> > what is being deployed by other distros already is, substantially, the
> new
> > Genshi release
> >
> > And unless someone steps up in maintaning the project, there won't be a
> > formal release anytime soon
>
> Oh, I thought the next genshi release was just around the corner. I
> didn't realize that development was stalled. Ok, then. If other distros
> are using these patches without problems, let's also have python3 genshi
> and relatorio packages.
>
> But, let's build trytond with python2. GNU Health still needs trytond
> 3.8, and trytond 3.8 only supports python2.
>

Ok

I'll send you a new version of my patches bundle soonish.

Let's say tomorrow

Thanks !